NSX-T Data Center REST API

Execute peer edge health checks of the given edge

This API will accept the edge identification information either edge uuid or edge path. Peer(s) of the given edge will
be checked to verify their Edge health, LR status, BGP neighbor status.
Healthy peer edge(s) ensure minimal downtime when target edge enters maintenance mode.
The progress status OK, if checks have passed. Otherwise API will return NOT_OK.
If status returns WAIT, In that case system expects client to wait and poll the API after every 1 minute till checks
reach terminal state OK or NOT_OK within stipulated internal retry intervals.

Request:

Method:
POST
URI Path(s):
/api/v1/upgrade/pre-upgrade-checks/edge/planned-maintenance
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PreUpgradeEdgeHealthCheckRequest+

Example Request:

POST https://<nsx-mgr>/api/v1/upgrade/pre-upgrade-checks/edge/planned-maintenance { "edge-path":"/infra/sites/default/enforcement-points/default/edge-transport-nodes/2dfdabd4-48e6-49a3-9937-c56cb6cc99ea" }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PreUpgradeHostHealthCheckStatuses+

Example Response:

{ "check_statuses": [ { "status": "NOT_OK", "issues": [ { "default_message": "PeerEdgeHealthCheck: Possible connectivity problems detected on peer vna node 80e7225e-ae42-4b27-b3a5-600dfa515ed3 that could affect workload connectivity after failover: [MP-MPA connection of vna is down, vna cluster status is down, pnic connection status of vna is unknown, control connection status of vna is unknown]. To get status details, use the vna node and/or vna-cluster status API.", "id": "36007", "localized": "PeerEdgeHealthCheck: Possible connectivity problems detected on peer vna node 80e7225e-ae42-4b27-b3a5-600dfa515ed3 that could affect workload connectivity after failover: [MP-MPA connection of vna is down, vna cluster status is down, pnic connection status of vna is unknown, control connection status of vna is unknown]. To get status details, use the vna node and/or vna-cluster status API." } ], "info": { "check": "com.vmware.nsxt.PeerEdgeHealthCheckCheck", "name": { "default_message": "Peer Edge/VNA health check task", "id": "", "localized": "Peer Edge/VNA health check task" }, "description": { "default_message": "This precheck verifies the health of Edge/VNA(s) hosting peer LRs", "id": "", "localized": "This precheck verifies the health of Edge/VNA(s) hosting peer LRs" } } }, { "status": "NOT_OK", "issues": [ { "default_message": "PeerEdgeHealthCheck: Possible connectivity problems detected on peer vna node 80e7225e-ae42-4b27-b3a5-600dfa515ed3 that could affect workload connectivity after failover: [MP-MPA connection of vna is down, vna cluster status is down, pnic connection status of vna is unknown, control connection status of vna is unknown]. Skipping Peer LR checks.", "id": "36008", "localized": "PeerEdgeHealthCheck: Possible connectivity problems detected on peer vna node 80e7225e-ae42-4b27-b3a5-600dfa515ed3 that could affect workload connectivity after failover: [MP-MPA connection of vna is down, vna cluster status is down, pnic connection status of vna is unknown, control connection status of vna is unknown]. Skipping Peer LR checks." } ], "info": { "check": "com.vmware.nsxt.PeerLRStatusCheck", "name": { "default_message": "LR status check on peer Edge/VNA", "id": "", "localized": "LR status check on peer Edge/VNA" }, "description": { "default_message": "This precheck confirms that Edge/VNA gateways have a reliable peer in case of a failover.", "id": "", "localized": "This precheck confirms that Edge/VNA gateways have a reliable peer in case of a failover." } } }, { "status": "NOT_OK", "issues": [ { "default_message": "PeerEdgeHealthCheck: Possible connectivity problems detected on peer vna node 80e7225e-ae42-4b27-b3a5-600dfa515ed3 that could affect workload connectivity after failover: [MP-MPA connection of vna is down, vna cluster status is down, pnic connection status of vna is unknown, control connection status of vna is unknown]. Skipping Peer BGP checks.", "id": "36008", "localized": "PeerEdgeHealthCheck: Possible connectivity problems detected on peer vna node 80e7225e-ae42-4b27-b3a5-600dfa515ed3 that could affect workload connectivity after failover: [MP-MPA connection of vna is down, vna cluster status is down, pnic connection status of vna is unknown, control connection status of vna is unknown]. Skipping Peer BGP checks." } ], "info": { "check": "com.vmware.nsxt.PeerLRBgpNeighbourCheck", "name": { "default_message": "BGP status check on peer Edge/VNA", "id": "", "localized": "BGP status check on peer Edge/VNA" }, "description": { "default_message": "This precheck verifies the health of BGP neighbors on peer Edge/VNA", "id": "", "localized": "This precheck verifies the health of BGP neighbors on peer Edge/VNA" } } } ], "status": "NOT_OK" }

Required Permissions:

read

Feature:

utilities_upgrade

Additional Errors: